textures/ext_misc/ext_cweb_m01ass
{
    //removelightmap info
    //surfaceparm nolightmap
	qer_editorimage textures/ext_misc/cweb_m01a.tga
	cull none
    qer_trans 0.8
    surfaceparm alphashadow
    surfaceparm nomarks
    surfaceparm nonsolid
	surfaceparm detail
	surfaceparm trans
	surfaceparm nodlight
	nopicmip
    deformVertexes wave 10 sin 0 2 0 0.2
    {
        map textures/ext_misc/cweb_m01a.tga
        blendFunc add
        //rgbGen vertex
		rgbgen const ( 0.2 0.2 0.2 )
    }
}
textures/ext_misc/ext_whiteflare
{ 
   qer_editorimage textures/ext_misc/whiteflare.tga
   surfaceparm nolightmap  
   surfaceparm noimpact
   surfaceparm trans 
      q3map_surfacelight 10
   q3map_backsplash 100 0

   DeformVertexes autosprite   
   cull none
   { 
   	tcmod rotate 20
      map textures/ext_misc/whiteflare.tga
      blendfunc add
   }
}
textures/ext_misc/ext_wallflangenodam
{
        qer_editorImage textures/ext_misc/wallflange.tga
        surfaceparm detail
        surfaceparm nodamage
        {
            map textures/ext_misc/wallflange.tga
            blendFunc filter
        }
		{
         map $lightmap
            blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
            rgbgen identity
			}
}

// Shockwave Teleporter
textures/ext_misc/ext_shockwave22
{ 
        cull disable	
        surfaceparm nomarks
        surfaceparm trans
        surfaceparm nonsolid
        {
	        
	        clampmap textures/ext_misc/ext_shockwave22.tga
		blendFunc add
                tcmod rotate 327
                rgbGen identity
	}
        {
	        clampmap textures/ext_misc/vortex33.tga
		blendFunc add  
                tcmod rotate -211
                rgbGen identity
        }
        {
	        clampmap textures/ext_misc/rifle_letters.tga
		blendFunc add
                tcmod rotate 20
	        rgbGen identity
	}
        
      {
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}
textures/ext_misc/ext_hazard
{
	qer_editorimage	textures/ext_misc/hazard.tga
	qer_trans 0.8
	surfaceparm	nomarks
	surfaceparm nodamage
	surfaceparm	trans
	surfaceparm nolightmap
	cull none
   
      {
			 map textures/ext_misc/hazard.tga       
	          
			tcGen environment
			tcMod turb 0 0.01 0 0.01	        
			tcmod scroll .3 .1
			blendfunc GL_ONE GL_ONE
	         }
}
textures/ext_misc/ext_warshutter_ref
{   
 qer_editorimage textures/ext_misc/warshutter.tga
   {
		map textures/ext_misc/warshutter.tga
                blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
	} 
        {
                map textures/ext_misc/tinfx.tga       
                tcGen environment
                rgbGen identity
	}   
      
        {
		map $lightmap
                blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
}

textures/ext_misc/ext_pipe
{
	qer_editorimage textures/ext_misc/wfall1.tga
	q3map_surfaceLight 2000
	q3map_lightRGB 1 0.4 0
	surfaceparm nonsolid
	//surfaceparm water
	surfaceparm nolightmap
	cull none
	{
		map textures/ext_misc/wfall1.tga
		rgbGen const ( 1 0.4 0 )
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		tcmod scroll 0 2.5
	}
}
textures/ext_misc/ext_qfloortesting

{
	qer_editorImage textures/ext_misc/qfloortest.tga
	surfaceparm trans		
	cull none
        nopicmip

   {
		map textures/ext_misc/qfloortest.tga
       blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}  
	{
              
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	
    }
}
textures/ext_misc/ext_lavaown
{
	qer_editorimage textures/ext_misc/lavafx.tga
	surfaceparm trans
	//surfaceparm nonsolid
	//surfaceparm noimpact
	surfaceparm lava
	surfaceparm nolightmap
	//q3map_surfacelight 800
	q3map_lightRGB 1 0.3 0.000000
	
	tesssize 128
	cull disable
	deformVertexes wave 100 sin 3 2 .1 0.1
	
	{
		map textures/ext_misc/lavafx.tga
		tcMod turb 0 .2 0 .1
		tcMod scroll 0 -0.1
	}
	
}
textures/ext_misc/ext_fence
{
    qer_editorimage textures/ext_misc/fence_c10.tga
    cull twosided
        surfaceparm nomarks
        surfaceparm trans
        surfaceparm alphashadow
		surfaceparm nodamage
        qer_trans 0.5
  
      {
         map textures/ext_misc/fence_c10.tga
         alphaFunc GE128
        depthWrite
        rgbGen vertex
      }
     
 }
textures/ext_misc/ext_tacticwater
{
	qer_editorimage textures/ext_misc/poolreflect.tga
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm water
	cull disable
	sort 8
	deformVertexes wave 256 sin 0.5 1.75 .5 .5
	

	{
		map textures/ext_misc/poolreflect.tga
		blendfunc add
		rgbGen const ( 0.3 0.3 0.3 )
		//rgbgen identity
		tcMod scale 1.5 1.5
		tcGen environment
	}
	{
		map textures/ext_misc/water_a.tga
		blendfunc add
		rgbGen const ( 0.07 0.07 0.07 )
		tcMod scale 0.9 0.9
	}
	 {
            map textures/ext_misc/water_a.tga
            blendFunc GL_DST_COLOR GL_ONE
            rgbGen identity
            tcMod scroll .05 -.010
        }
	{
		map $lightmap
		rgbgen const ( 1 1 0.75 )
		blendfunc filter
		tcGen lightmap
	}

}

textures/ext_misc/ext_firefly
{ 
   qer_editorimage textures/ext_misc/firefly.tga
   surfaceparm nolightmap  
   surfaceparm noimpact
   surfaceparm trans 
      q3map_surfacelight 100
   q3map_backsplash 100 0

   DeformVertexes autosprite   
   cull none
   { 
   	tcmod rotate 10
      map textures/ext_misc/firefly.tga
      blendfunc add
   }
}
 textures/ext_misc/ext_firefly2
{ 
   qer_editorimage textures/ext_misc/firefly.tga
   surfaceparm nolightmap  
   surfaceparm noimpact
   surfaceparm trans 
      q3map_surfacelight 100
   q3map_backsplash 100 0

   DeformVertexes autosprite   
   cull none
   { 
   	tcmod rotate 50
      map textures/ext_misc/firefly.tga
      blendfunc add
   }
}
 
 textures/ext_misc/ext_firefly3
{ 
   qer_editorimage textures/ext_misc/firefly.tga
   surfaceparm nolightmap  
   surfaceparm noimpact
   surfaceparm trans 
      q3map_surfacelight 100
   q3map_backsplash 100 0

   DeformVertexes autosprite   
   cull none
   { 
   	tcmod rotate 20
      map textures/ext_misc/firefly.tga
      blendfunc add
   }
}


textures/ext_misc/saber/ext_blue_glow2
{ 
   qer_editorimage textures/ext_misc/saber/blue_glow2.tga
   surfaceparm nolightmap  
   surfaceparm noimpact
   surfaceparm trans 
      q3map_surfacelight 5
   q3map_backsplash 100 0

   DeformVertexes autosprite   
   cull none
   { 
   	tcmod rotate 0
      map textures/ext_misc/saber/blue_glow2.tga
      blendfunc add
   }
}

textures/ext_misc/saber/ext_green_glow2
{ 
   qer_editorimage textures/ext_misc/saber/green_glow2.tga
   surfaceparm nolightmap  
   surfaceparm noimpact
   surfaceparm trans 
      q3map_surfacelight 50
   q3map_backsplash 100 0

   DeformVertexes autosprite   
   cull none
   { 
   	tcmod rotate 0
      map textures/ext_misc/saber/green_glow2.tga
      blendfunc add
   }
}

textures/ext_misc/saber/ext_orange_glow2
{ 
   qer_editorimage textures/ext_misc/saber/orange_glow2.tga
   surfaceparm nolightmap  
   surfaceparm noimpact
   surfaceparm trans 
      q3map_surfacelight 10
   q3map_backsplash 100 0

   DeformVertexes autosprite   
   cull none
   { 
   	tcmod rotate 0
      map textures/ext_misc/saber/orange_glow2.tga
      blendfunc add
   }
}
 
 textures/ext_misc/ext_flash
{
	qer_editorimage textures/ext_misc/lflash.tga
	surfaceparm nonsolid
	surfaceparm trans
	deformvertexes autosprite
	nopicmip
	{
		map textures/ext_misc/lflash.tga
		rgbgen const ( 0.45 0.45 0.45 )
		rgbGen wave sin 0.39 0.35 0 0.6
		blendfunc add
	}
}
// Oak-mapmodel 

models/mapobjects/oak/oakblaetter
{
	cull none
	nopicmip

	{
		map models/mapobjects/oak/oakblaetter.tga
		alphaFunc GE128
		depthWrite
		rgbGen vertex
	}
}

models/mapobjects/oak/oakblaetter2
{
	cull none
	nopicmip

	{
		map models/mapobjects/oak/oakblaetter2.tga
		alphaFunc GE128
		depthWrite
		rgbGen vertex
	}
}

models/mapobjects/oak/oakblaetter3
{
	cull none
	nopicmip

	{
		map models/mapobjects/oak/oakblaetter3.tga
		alphaFunc GE128
		depthWrite
		rgbGen vertex
	}
}
models/mapobjects/sg/gate/nchevlight
{
    q3map_surfacelight 600
    light 1
    surfaceparm nolightmap
    {
        map models/mapobjects/sg/gate/nchevlight.tga
    }
}

models/mapobjects/sg/gate/nchevnlight
{
    q3map_surfacelight 10
    surfaceparm nolightmap
    {
        map models/mapobjects/sg/gate/nchevnlight.tga
    }
}

textures/sgcanims/evback
{
    qer_editorimage textures/sgcanims/evback.tga
    q3map_surfacelight 100
    surfaceparm nolightmap
    surfaceparm water
    deformVertexes wave 128 sin 0 1 0 0.75
    {
        map textures/sgcanims/evback.tga
        blendFunc GL_ONE GL_SRC_COLOR
        tcMod rotate 20
        tcMod stretch sin 1.05 0.05 0 0.5
    }
    {
        map textures/sgcanims/evback.tga
        blendFunc GL_ONE GL_ONE_MINUS_SRC_COLOR
        tcMod rotate -10
    }
    {
        map textures/sgcanims/evback.tga
        blendFunc GL_ONE GL_ONE_MINUS_SRC_COLOR
        tcMod rotate -40
        tcMod stretch sin 1.05 0.05 0 1
    }
}

textures/sgcanims/evfront
{
    qer_editorimage textures/sgcanims/evfront2.tga
    q3map_surfacelight 100
    surfaceparm nolightmap
    surfaceparm water
    deformVertexes wave 128 sin 0 1.5 0 0.75
    {
        map textures/sgcanims/evback.tga
        blendFunc GL_ONE GL_ZERO
    }
    {
        animMap 0.6 textures/sgcanims/evfront2.tga textures/sgcanims/evfront4.tga textures/sgcanims/evfront6.tga textures/sgcanims/evfront8.tga textures/sgcanims/evfront6.tga textures/sgcanims/evfront4.tga 
        blendFunc GL_ONE GL_ONE_MINUS_SRC_COLOR
        tcMod rotate 20
        tcMod stretch sin 1.05 0.05 0 0.3
    }
    {
        animMap 0.6 textures/sgcanims/evfront2.tga textures/sgcanims/evfront4.tga textures/sgcanims/evfront6.tga textures/sgcanims/evfront8.tga textures/sgcanims/evfront6.tga textures/sgcanims/evfront4.tga 
        blendFunc GL_ONE GL_ONE_MINUS_SRC_COLOR
        tcMod rotate -10
        tcMod stretch triangle 1.1 0.1 0 1
    }
}

//Bolts
textures/ext_misc/AnimEclair_01		// Eclair
{
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	cull none
	qer_editorimage textures/ext_misc/AnimEclair_01.jpg
	{
		animMap 12 textures/ext_misc/AnimEclair_01.jpg textures/ext_misc/AnimEclair_02.jpg textures/ext_misc/AnimEclair_03.jpg textures/ext_misc/AnimEclair_04.jpg textures/ext_misc/AnimEclair_05.jpg textures/ext_misc/AnimEclair_06.jpg textures/ext_misc/AnimEclair_07.jpg
		blendFunc GL_ONE GL_ONE
	}	
}
textures/ext_misc/ext_forkybolt
{
	qer_editorimage textures/ext_misc/lforkybolt1.tga
	surfaceparm nonsolid
	surfaceparm trans
	cull disable
	nopicmip
	deformvertexes autosprite2
	{
		map textures/ext_misc/lforkybolt1.tga
		blendfunc add
		rgbGen wave sin 0.39 0.35 0 1.2
	}
}
textures/ext_misc/ext_forkybolt1
{
	qer_editorimage textures/ext_misc/lforkybolt1.tga
	surfaceparm nonsolid
	surfaceparm trans
	cull disable
	nopicmip
	deformvertexes autosprite2
	{
		map textures/ext_misc/lforkybolt1.tga
		blendfunc add
		rgbGen wave sin 0.39 0.35 0 0.8
	}
}
textures/ext_misc/ext_forkybolt2
{
	qer_editorimage textures/ext_misc/lforkybolt1.tga
	surfaceparm nonsolid
	surfaceparm trans
	cull disable
	nopicmip
	deformvertexes autosprite2
	{
		map textures/ext_misc/lforkybolt1.tga
		blendfunc add
		rgbGen wave sin 0.39 0.35 0 1
	}
}
textures/ext_misc/ext_bolt
{
	qer_editorimage textures/ext_misc/lbolt2.tga
	surfaceparm nonsolid
	surfaceparm trans
	cull disable
	nopicmip
	deformvertexes autosprite2
	{
		map textures/ext_misc/lbolt2.tga
		blendfunc add
		rgbGen wave sin 0.39 0.35 0 2.5
	}
}
textures/ext_misc/ext_bolt1
{
	qer_editorimage textures/ext_misc/lbolt2.tga
	surfaceparm nonsolid
	surfaceparm trans
	cull disable
	nopicmip
	deformvertexes autosprite2
	{
		map textures/ext_misc/lbolt2.tga
		blendfunc add
		rgbGen wave sin 0.39 0.35 0 2
	}
}
textures/ext_misc/ext_bolt2
{
	qer_editorimage textures/ext_misc/lbolt2.tga
	surfaceparm nonsolid
	surfaceparm trans
	cull disable
	nopicmip
	deformvertexes autosprite2
	{
		map textures/ext_misc/lbolt2.tga
		blendfunc add
		rgbGen wave sin 0.39 0.35 0 3
	}
}
textures/ext_misc/ext_camera
{
	qer_editorimage textures/ext_misc/ext_camera.tga
	surfaceparm playerclip
	surfaceparm nolightmap
	portal
	{
		map textures/ext_misc/ext_camera.tga
 		blendFunc GL_ONE GL_ONE_MINUS_SRC_ALPHA
		blendFunc add
		depthWrite
		//alphaGen portal 1600
		
    }
}
 
 
 
 
 
 
 
 
textures/ext_misc/ext_superfog
{
    qer_editorimage textures/ext_misc/ext_superfog.tga
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm fog
	surfaceparm nolightmap
	qer_nocarve
	q3map_surfacelight 200
	q3map_lightRGB 1 0 0
	//q3map_lightRGB .2 .8 .2
	//fogparms ( 1.0 .9 .05 ) 1000
	//fogparms ( .2 .18 .7 ) 2000
	fogparms ( 1 .0 .0 ) 5000
	
}
textures/ext_misc/ext_weed
{
	qer_editorimage textures/ext_misc/weed.tga
	surfaceparm alphashadow
	cull none
    nopicmip 
	{
		map textures/ext_misc/weed.tga
		alphaFunc GE128
		depthWrite
		rgbGen identity
                  
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}
textures/ext_misc/ext_buttontarget
{
    qer_editorimage textures/ext_misc/blue.tga
    surfaceparm nodamage
    surfaceparm detail
    {
        animMap 1.5 textures/ext_misc/blue.tga textures/ext_misc/green.tga textures/ext_misc/red.tga
        rgbgen wave square 0.7 0.3 0 2.3
    }
}
textures/sgcanims/ex_evback
{
    qer_editorimage textures/sgcanims/evback.tga
    q3map_surfacelight 100
    surfaceparm nolightmap
    surfaceparm water
    deformVertexes wave 128 sin 0 1 0 0.75
    {
        map textures/sgcanims/evback.tga
        blendFunc GL_ONE GL_SRC_COLOR
        tcMod rotate 20
        tcMod stretch sin 1.05 0.05 0 0.5
    }
    {
        map textures/sgcanims/evback.tga
        blendFunc GL_ONE GL_ONE_MINUS_SRC_COLOR
        tcMod rotate -10
    }
    {
        map textures/sgcanims/evback.tga
        blendFunc GL_ONE GL_ONE_MINUS_SRC_COLOR
        tcMod rotate -40
        tcMod stretch sin 1.05 0.05 0 1
    }
}

textures/sgcanims/ex_evfront
{
    qer_editorimage textures/sgcanims/evfront2.tga
    q3map_surfacelight 100
    surfaceparm nolightmap
    surfaceparm water
    deformVertexes wave 128 sin 0 1.5 0 0.75
    {
        map textures/sgcanims/evback.tga
        blendFunc GL_ONE GL_ZERO
    }
    {
        animMap 3 textures/sgcanims/evfront2.tga textures/sgcanims/evfront4.tga textures/sgcanims/evfront6.tga textures/sgcanims/evfront8.tga textures/sgcanims/evfront6.tga textures/sgcanims/evfront4.tga 
        blendFunc GL_ONE GL_ONE_MINUS_SRC_COLOR
        tcMod rotate 20
        tcMod stretch sin 1.05 0.05 0 0.3
    }
    {
        animMap 3 textures/sgcanims/evfront2.tga textures/sgcanims/evfront4.tga textures/sgcanims/evfront6.tga textures/sgcanims/evfront8.tga textures/sgcanims/evfront6.tga textures/sgcanims/evfront4.tga 
        blendFunc GL_ONE GL_ONE_MINUS_SRC_COLOR
        tcMod rotate -10
        tcMod stretch triangle 1.1 0.1 0 1
    }
}
